------------------------------------------------------------------------------------
--Name:  	210426[简体征服][任务脚本]210423[简体征服][任务脚本]Soaring Archers剧情任务
--Creator:	杨艳
--Created:	2021-04-26
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8
CppScriptMgr:SetViewPosByCell(39, 34)

-- 设置摄像机指向位置(网格坐标)
local Gongsun = CppScriptMgr:AddPlayer(142,39 ,31, "Gongsun")
Gongsun:SetDir(0)
Gongsun:SetZoomPercent(120);
local playerMonster1 = CppScriptMgr:AddPlayer(167,40 ,27, "EvilDogface")
local playerMonster2 = CppScriptMgr:AddPlayer(167,45 ,29, "EvilDogface")
local playerMonster3 = CppScriptMgr:AddPlayer(167,50 ,33, "EvilDogface")
local playerMonster4 = CppScriptMgr:AddPlayer(167,54 ,38, "EvilDogface")

local playerMonster5 = CppScriptMgr:AddPlayer(167,33 ,27, "EvilDogface")
local playerMonster6 = CppScriptMgr:AddPlayer(167,30 ,31, "EvilDogface")
local playerMonster7 = CppScriptMgr:AddPlayer(167,28 ,35, "EvilDogface")
-- local playerMonster8 = CppScriptMgr:AddPlayer(167,188 ,170, "EvilSoldier")
playerMonster1:SetDir(0)
playerMonster2:SetDir(0)
playerMonster3:SetDir(0)
playerMonster4:SetDir(0)
playerMonster5:SetDir(0)
playerMonster6:SetDir(0)
playerMonster7:SetDir(0)
-- playerMonster8:SetDir(1)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("halo_tu_fir_1", 41, 40)
CppScriptMgr:WaitMilSec(500)
local hero = CppScriptMgr:QueryHero()
hero:SetZoomPercent(120);
local heroname = hero:GetName()
local sex = hero:GetSex()
local touxiang = "NPCBust_npc356961"
if sex == 2 then 
	touxiang = "NPCBust_npc356962"
end
hero:SetPos(41,40)
hero:SetDir(4)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("    Good to see you again! How is my puppet army?\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "Gongsun", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    Crazy! How can you make the dead into puppets?\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    This is the special gift for you! I`m looking forward to your performance!\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "Gongsun", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    Don`t return then!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(1000)
